Package com.massivecraft.factions.zcore.persist.json

## Class JSONFPlayers

- java.lang.Object
- - com.massivecraft.factions.FPlayers
  - - com.massivecraft.factions.zcore.persist.MemoryFPlayers
    - - com.massivecraft.factions.zcore.persist.json.JSONFPlayers

    public class JSONFPlayers
    extends MemoryFPlayers

### Field Summary

### Fields inherited from class com.massivecraft.factions.zcore.persist.MemoryFPlayers

`fPlayers`

### Fields inherited from class com.massivecraft.factions.FPlayers

`instance`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`JSONFPlayers()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `convertFrom​(MemoryFPlayers old)` |
`void` | `forceSave()` |
`void` | `forceSave​(boolean sync)` |
`FPlayer` | `generateFPlayer​(java.lang.String id)` |
`com.google.gson.Gson` | `getGson()` |
`void` | `load()` |
`void` | `setGson​(com.google.gson.Gson gson)` |

### Methods inherited from class com.massivecraft.factions.zcore.persist.MemoryFPlayers

`clean, getAllFPlayers, getById, getByOfflinePlayer, getByPlayer, getOnlinePlayers`

### Methods inherited from class com.massivecraft.factions.FPlayers

`getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONFPlayers

    public JSONFPlayers()

### Method Detail

#### getGson

    public com.google.gson.Gson getGson()

#### setGson

    public void setGson​(com.google.gson.Gson gson)

#### convertFrom

    public void convertFrom​(MemoryFPlayers old)

Specified by:
  `convertFrom` in class `MemoryFPlayers`

#### forceSave

    public void forceSave()

Specified by:
  `forceSave` in class `MemoryFPlayers`

#### forceSave

    public void forceSave​(boolean sync)

Specified by:
  `forceSave` in class `FPlayers`

#### load

    public void load()

Specified by:
  `load` in class `MemoryFPlayers`

#### generateFPlayer

    public FPlayer generateFPlayer​(java.lang.String id)

Specified by:
  `generateFPlayer` in class `MemoryFPlayers`